View Issue Details

IDProjectCategoryView StatusLast Update
0004192Slicer4Core: Base Codepublic2018-03-02 11:07
ReporterjcfrAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in VersionSlicer 4.6.0 
Summary0004192: Modifying one setting trigger all settings associated with list to be marked as changed
Description

Start Slicer
Edit -> Application Settings
Check/Uncheck "Disable Splash Screen"

The following settings are marked as modified:

"Additional style paths"
"Additional module paths"
"Additional template paths"
"Additional template paths for extensions"
"Additional template paths for modules"

=> Since they haven't been explicitly changed, they should NOT be listed

TagsNo tags attached.

Activities

Related Changesets

Import 2017-06-07 23:51:09: master bec0bb89

2016-05-18 00:55:05

jcfr

Details Diff
BUG: Update CTK to fix reporting of modified settings. Fixes 0004192

Other highlights includes:
* Support Qt 5.6 compilation
* Extend python wrapping ctkVTKChartView and ctkVTKScalarsToColorsView

$ git shortlog caaf2c8..a479422 --no-merges
Andreas Fetzer (12):
Added additional documentation and also added missing session timeout timer restarts.
Renamed session time out related variables and signals/slots
Changed xsiType style.
Don't add ctkXnatResourceFolder into ctkXnatScan hierarchy
Fix linker error on linux
Added possibility to set network proxy for the XNAT connection
Removed accidental linebreak
Quick-fix for incomplete data display
Updated qRestAPI revision
Adding the xsiType=xnat:resource query parameter leads to error 422: Unprocessable entity
Changed query key from xsiType to xsi:type
Fixed build error for MSVS 2012

Aurélien Labrosse (1):
Updated splash screen handler management

Daniel Knorr (6):
Inserted parameter to the httpGet that the subjects and experiments have more attributes to show in applications.
Added static member variables for each item of the parameter string. Added getter and setter for attributes also.
Added some specific attributes for an experiment.
Added a timer which keeps count of the session timeout. This timer emits two signals: sessionTimedOut and sessionAboutToBeTimedOut.
Removed clear numbers - added times from session cookie
Changed signal that the session times out always in one minute. Variable for time that the session times out soon renamed.

Dmitry Mikhirev (1):
fix build on platforms where qreal is not equivalent of double

Eric Heim (2):
upgraded PythonQt.cmake to use PythonQt3 in the superbuild with Qt5 and 4
Changed name of variable to set the Qt version in PythonQt to match present naming convention

Heather (2):
fix Core linking: FreeBSD does not have a libdl
Add /usr/local/include for FreeBSD (QtOpengl)

Jean-Christophe Fillion-Robin (18):
Remove unused/non-implemented VisualizationXIP library
CTKCore: Generalize test checking if dl library is available.
CTKCore: Fix typo introduced in commontk/CTK@f8b31c3
COMP: ctkMacroBuildLibWrapper: Improve configuration status messages
ENH: Extend wrapping ctkVTKChartView and ctkVTKScalarsToColorsView
Add ctkCoreTestingUtilities module
Add ctkCoreTestingMacros module
Simplify ctkSettingsPanelTest1 using ctkCoreTestingMacros
Extend ctkTesting(Utilities|Macro) to support QStringList
ctkSettingsPanelTest1: Add "QStringList" test case
ctkSettingsPanelTest1: Test return value of "changedSettings()"
Extend ctkTesting(Utilities|Macro) to support QVariant
ctkSettingsPanelTest1: Explicitly compare QVariant
ctkSettingsPanelTest1: Improve readability splitting test in smaller functions
ctkSettingsPanelTest1: Check settings after reloading from file
ctkSettingsPanel: Add setter/getter for PropertyType::PreviousValue
ctkSettingsPanel: Fix changedSettings() for empty QStringList
ctkSettingsPanel: Ensure "settingChanged" signal is emitted only if needed.

Jerome (5):
Added double click support for patients and studies table
Add an accessor to the internal QTableView
Add an accessor to the three managed tables
Add missing ending empty line
Update table views when deleting patient

Julien Finet (1):
Support Qt 5.6 compilation

Tobias Doerffel (1):
ctkCheckableComboBox: implemented missing method checkableModelHelper()

git-svn-id: http://svn.slicer.org/Slicer4/trunk@25068 3bd1e089-480b-0410-8dfb-8563597acbee
mod - SuperBuild/External_CTK.cmake Diff File

Issue History

Date Modified Username Field Change
2016-05-17 22:18 jcfr New Issue
2016-05-17 22:18 jcfr Status new => assigned
2016-05-17 22:18 jcfr Assigned To => jcfr
2016-05-17 22:18 jcfr File Added: 2016.05.17_SlicerListSettingsMarkedAsModified.png
2016-05-17 22:18 jcfr Summary Modifying one setting trigger all setting associated with list to be marked as changed => Modifying one setting trigger all settings associated with list to be marked as changed
2016-05-18 01:37 jcfr Note Added: 0013881
2016-05-18 01:37 jcfr Status assigned => resolved
2016-05-18 01:37 jcfr Fixed in Version => Slicer 4.6.0
2016-05-18 01:37 jcfr Resolution open => fixed
2017-06-10 08:51 jcfr Changeset attached => Slicer master bec0bb89
2018-03-02 11:07 jcfr Status resolved => closed